from Products.CMFCore.utils import getToolByName
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFContentPanels.config import PROJECTNAME, GLOBALS
from Products.CMFContentPanels.ContentPanelsTool import ContentPanelsTool

from Products.ExternalMethod import ExternalMethod
from Products.StandardCacheManagers import RAMCacheManager

from Acquisition import aq_base
from cStringIO import StringIO
import string

from Acquisition import Implicit
import Persistence

def install_RSSCache(portal, out):
    if 'RSSCache' not in portal.objectIds():
        RAMCacheManager.manage_addRAMCacheManager(portal, 'RSSCache')

    portal.RSSCache.manage_editProps('RSSCache for getRSSResult', \
             settings={ 'threshold':1000, 
                        'request_vars':['itemCount', 'rssUrl'],
                        'cleanup_interval':300, 
                        'max_age':3600})
    out.write( "added and initalized RAMCache" )

def install_default_page(portal, out):
    site_props = getToolByName(portal, 'portal_properties').site_properties
    dpt = site_props.getProperty('default_page_types', None)
    if dpt is None:
        return
    if 'ContentPanels' not in dpt:
        site_props.manage_changeProperties(
            {'default_page_types':list(dpt) + ['ContentPanels']}
         )

def install(self):
    portal = getToolByName(self, 'portal_url').getPortalObject()

    out = StringIO()
    out.write( 'CMFContentPanels installation tool\n')

    installTypes(self, out, listTypes(PROJECTNAME), PROJECTNAME)
    install_subskin(self, out, GLOBALS)

    if not hasattr(portal, 'portal_contentpanels'):
        portal._setObject( 'portal_contentpanels', ContentPanelsTool() )
        out.write('Added ConentPanels Tool\n')

    p_cp=getToolByName(self, 'portal_contentpanels')
    p_cp.manage_installAllViewlets()

    install_RSSCache(portal, out)
    install_default_page(portal, out)

    return out.getvalue()
